ALLEGRO_FILE_MODE(3)

NAME

ALLEGRO_FILE_MODE - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    typedef enum ALLEGRO_FILE_MODE

DESCRIPTION

Filesystem modes/types

•   ALLEGRO_FILEMODE_READ - Readable

•   ALLEGRO_FILEMODE_WRITE - Writable

•   ALLEGRO_FILEMODE_EXECUTE - Executable

•   ALLEGRO_FILEMODE_HIDDEN - Hidden

•   ALLEGRO_FILEMODE_ISFILE - Regular file

•   ALLEGRO_FILEMODE_ISDIR - Directory